[Python-modules-commits] [jaraco.itertools] 06/06: Add initial autopkgtests

Ethan Ward ethanward-guest at moszumanska.debian.org
Fri Aug 4 15:23:06 UTC 2017


This is an automated email from the git hooks/post-receive script.

ethanward-guest pushed a commit to branch master
in repository jaraco.itertools.

commit 606cc9f7d7f18f95d3deba7244edae488cfcaec4
Author: Ethan Ward <ethan.ward at mycroft.ai>
Date:   Fri Aug 4 10:22:50 2017 -0500

    Add initial autopkgtests
---
 debian/tests/control |  9 +++++++++
 debian/tests/py2test | 10 ++++++++++
 debian/tests/py3test | 11 +++++++++++
 3 files changed, 30 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..50520b9
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,9 @@
+Tests: py2test
+Depends: python-all,
+         python-jaraco.itertools,
+         python-pytest
+
+Tests: py3test
+Depends: python3-all,
+         python3-jaraco.itertools,
+         python3-pytest
diff --git a/debian/tests/py2test b/debian/tests/py2test
new file mode 100644
index 0000000..ea453cf
--- /dev/null
+++ b/debian/tests/py2test
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+
+cp -r pytest.ini conftest.py "$AUTOPKGTEST_TMP"
+
+for py in $(pyversions -r 2>/dev/null)
+ do cd "$AUTOPKGTEST_TMP"
+ echo "Testing with $py:"
+ $py -m pytest --pyargs jaraco.itertools
+ done
diff --git a/debian/tests/py3test b/debian/tests/py3test
new file mode 100644
index 0000000..ad77a76
--- /dev/null
+++ b/debian/tests/py3test
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+cp -r pytest.ini conftest.py "$AUTOPKGTEST_TMP"
+
+for py in $(py3versions -r 2>/dev/null)
+ do cd "$AUTOPKGTEST_TMP"
+ echo "Testing with $py:"
+ $py -m pytest --pyargs jaraco.itertools
+ done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/jaraco.itertools.git



More information about the Python-modules-commits mailing list